Bug 2255612 (CVE-2023-49356) - CVE-2023-49356 mp3gain: stack-based buffer overflow via the WriteMP3GainAPETag() at apetag.c
Summary: CVE-2023-49356 mp3gain: stack-based buffer overflow via the WriteMP3GainAPETa...
Keywords:
Status: NEW
Alias: CVE-2023-49356
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2255613 2255614
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-12-22 11:37 UTC by TEJ RATHI
Modified: 2023-12-22 11:58 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A stack-based buffer overflow vulnerability has been identified in MP3Gain in WriteMP3GainAPETag() function at apetag.c. This flaw could allows an attacker to cause a crash in an application leading to a denial of service condition.
Clone Of:
Environment:
Last Closed:
Embargoed:


Attachments (Terms of Use)

Description TEJ RATHI 2023-12-22 11:37:25 UTC
A stack buffer overflow vulnerability in MP3Gain v1.6.2 allows an attacker to cause a denial of service via the WriteMP3GainAPETag function at apetag.c:592.

https://github.com/linzc21/bug-reports/blob/main/reports/mp3gain/1.6.2/stack-buffer-overflow/CVE-2023-49356.md

Comment 1 TEJ RATHI 2023-12-22 11:39:26 UTC
Created mp3gain tracking bugs for this issue:

Affects: epel-all [bug 2255614]
Affects: fedora-all [bug 2255613]


Note You need to log in before you can comment on or make changes to this bug.